Skip to content
Ona Docs

GetMembership

POST/gitpod.v1.GroupService/GetMembership

Gets a specific membership by group ID and subject.

Use this method to:

  • Check if a user or service account is a member of a group
  • Verify group membership for access control

Examples

  • Check user membership:

    Checks if a user is a member of a specific group.

    groupId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    subject:
      id: "f53d2330-3795-4c5d-a1f3-453121af9c60"
      principal: PRINCIPAL_USER

Authorization

All organization members can check group membership (transparency model).

Body ParametersJSONExpand Collapse
subject: Subject { id, principal }

Subject to check membership for

id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"
groupId: optional string
formatuuid
ReturnsExpand Collapse
member: optional GroupMembership { id, avatarUrl, groupId, 2 more }

The membership if found, nil if subject is not a member

id: optional string

Unique identifier for the group membership

formatuuid
avatarUrl: optional string

Subject’s avatar URL

groupId: optional string

Group identifier

formatuuid
name: optional string

Subject’s display name

subject: optional Subject { id, principal }

Subject (user, runner, environment, service account, etc.)

id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"

GetMembership

curl https://app.gitpod.io/api/gitpod.v1.GroupService/GetMembership \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "subject": {
            "id": "f53d2330-3795-4c5d-a1f3-453121af9c60",
            "principal": "PRINCIPAL_USER"
          }
        }'
{
  "member": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "avatarUrl": "avatarUrl",
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "name",
    "subject": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "principal": "PRINCIPAL_UNSPECIFIED"
    }
  }
}
Returns Examples
{
  "member": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "avatarUrl": "avatarUrl",
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "name",
    "subject": {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "principal": "PRINCIPAL_UNSPECIFIED"
    }
  }
}